<?php

namespace Src\Modules\Auth\Interfaces\Pages\Admin;

use Src\Modules\Auth\Interfaces\Pages\IFactory as IPagesFactory;

interface IFactory
{
    public function setPagesFactory(IPagesFactory $factory): void;
    public function createAdminFormPage(?string $adminId): IAdminForm;
    public function createAdminsListPage(): IAdminsList;
    public function creteLoginFormPage(): ILoginForm;
}